Contents

# Switch Function

Tarreeffama qajeelfamootaa ,himannoo gatiin duuka bu'ame of keessaa qabu madaali.Faankishiiniin jijjiirraa gatii himannoo faankishinii kanaan darbe waliin walitti dhufeenya qabu deebisa.

### Syntax:

    Switch (Expression1, Value1[, Expression2, Value2[..., Expression_n, Value_n]]) As Variant

### Parameters:

Faankishiiniin Jijjiirraa himannoo bitaa gara mirgaa tti maddali, achiin gatii himannoo faankshiniif ramadame deebisa. Yoo himannoo fi gatiin akka cimdiitti kennamuu baate, dogongorri sa'aa darbee ni uumama.

Himannoo:Himannoo madaaluuf barbaadde.

Gatii: Yoo himannoon Dhugaa ta'e, gatii deebisuuf barbaadde.

Fakkeenya armaan gadii keessatti faankshiniin Switch maqaa faankishiniitti darbeef korniyaa mijaa'aa ramada.

### Error codes:

5 Ejjatoo fashalaan waamu

### Example:

    Sub ExampleSwitch
    Dim sGender As String
        sGender = GetGenderIndex( "John" )
        MsgBox sGender
    End Sub

    Function GetGenderIndex (sName As String) As String
        GetGenderIndex = Switch(sName = "Jane", "female", sName = "John", "male")
    End Function

Matadureewwan Walfakkatan

Choose Function

Select...Case Statement